#ifndef CAPPORTAL_HPP
#define CAPPORTAL_HPP

#include <WiFi.h>          // Replace with WiFi.h for ESP32
#include <WebServer.h>     // Replace with WebServer.h for ESP32
#include <AutoConnect.h>
#include "time.h"
extern String html_content;

class Cap{
private:
    const char* ntpServer = "pool.ntp.org";
    const long  gmtOffset_sec = 3600;
    const int   daylightOffset_sec = 3600;
    AutoConnect *Portal;
    AutoConnectConfig *Config;
public:
    void begin();
    void handle();
    unsigned long epochTime();
    String localTime();
    String localTime(time_t epochtime);
    String localIP();
};


#endif //CAPPORTAL_HPP